HINO Bugs - Bug #2190

script job untuk membaca overtime 1 bulan sebelum payroll berjalan tidak dapat mengambil data
overtime di April

05/29/2023 12:04 PM - Muhammad Bintar

Status: Closed Start date: 05/29/2023
Priority: Urgent Due date: 05/31/2023
Assignee: Saswanto Tampan % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour

Description

Dear tim developer mohon supportnya untuk perbaikan pada query engine data overtime di bulan april dengan menambahkan status
payroll correction dan finish payroll.
karena user hino di sana tidak pernah menekan tombol payroll correction.
Step name:
|auto overtime
Type:
Transact-SCL script (T-SQAL) w
Run as:
Database: MinovaES_HINO_Dev v
BrrmETEE USE MinovaES_HINO_Dev ~
’ select distinct pt 16.StartDate pt 16 EndDate pt 16. Employeel D ,pt 16 Overtime Type pt 16 Start Time pt 16.End Time pt 16.Day Type.pt 16. Duration
pt 16.DayBeforeFlag pt16.Plan Duration,pt 16.5tart Plan pt 16 EndPlan pt 16. Motes pt 16 .CreateBy pt 16 Create Date pt 16 ChangeBy pt 16.Chang
Open... into #PHRPADDE from PHRPATO16 pt 16 left outer join
PHRPADDOZ pa2 on paZ EmployeelD = pt16. EmployeelD and (pt16.Start Date between pa2. Start Date and pa2 EndDate) left outer join
PHRPYPGCTRL ctr on ctd. PayrollGroup = pa2. PayrollGroup
Select Al
where Convert (int, left(pt 16.EndDate 6)) < =
Copy CASE
. WHEN RIGHT(ctr PayrollPeriod-1,2 }="00" THEN Convertfint, convert{varchar, left(ctd.PayrollPeriod 4)-1) + convert (varchar, 12))
pnnechon else Convert(int, cir.Payroll Period-1)
Paste END
Erver: -
[ hote minovais.com, 1438 - and drl.ParolIControlStatus_—'C I
onnection: CASE
5 ’ WHEM RIGHT(ctd . PayrollPeriod-1,2 )="00"then leftipt16.StartDate,4) +1 else leftipt 16 Start Date, 4)
end
B¢ View connection properties
insert into PHRPADDTE W
[ogress < >
Ready
Cancel

remote.minovais.com, 1445\MSSQLSERVER2019
Hino_Prod

remote.minovais.com:61120
username woty

History

#1 - 05/29/2023 04:35 PM - Kezia Pawitra Yulianti

- Status changed from New to Assigned

#2 - 06/12/2023 05:48 PM - Muhammad Bintar

dear tim developer minta update nya terkait case ini...
#3 - 06/22/2023 11:28 AM - Muhammad Bintar

- Status changed from Assigned to Closed
